%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name XStatic-smart-table

Name:           python-%{pypi_name}
Version:        1.4.13.2
Release:        1%{?dist}
Provides:        python2-XStatic-smart-table = %{version}-%{release}
Summary:        smart-table (XStatic packaging standard)

License:        MIT
URL:            https://github.com/lorenzofox3/Smart-Table
Source0:        https://files.pythonhosted.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       python-XStatic
Requires:       xstatic-smart-table-common
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%description
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-XStatic
Requires:       xstatic-smart-table-common

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package provides Python 3 build of %{pypi_name}.
%endif

%package -n xstatic-smart-table-common
Summary:        %{summary}

BuildRequires:  web-assets-devel
Requires:       web-assets-filesystem

%description -n xstatic-smart-table-common
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package contains the javascript files.

%prep
%autosetup -n %{pypi_name}-%{version}
# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/angular_smart_table'|" xstatic/pkg/angular_smart_table/__init__.py
# fix assets detection when you use XStatic
sed -i 's/smart-table.min.js/smart-table.js/' xstatic/pkg/angular_smart_table/__init__.py

%build
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} build --executable="%{__python2} -s"
%if 0%{?with_python3}
%py3_build
%endif

%install
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_jsdir}/angular_smart_table
mv %{buildroot}%{python2_sitelib}/xstatic/pkg/angular_smart_table/data/smart-table.js %{buildroot}%{_jsdir}/angular_smart_table
rmdir %{buildroot}%{python2_sitelib}/xstatic/pkg/angular_smart_table/data/
# fix execute flags for js
chmod 644 %{buildroot}%{_jsdir}/angular_smart_table/smart-table.js

%if 0%{?with_python3}
%py3_install
# Remove static files, already created by the python2 subpkg
rm -rf %{buildroot}%{python3_sitelib}/xstatic/pkg/angular_smart_table/data
%endif

%files -n python-%{pypi_name}
%doc README.txt
%{python2_sitelib}/xstatic/pkg/angular_smart_table
%{python2_sitelib}/XStatic_smart_table-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/XStatic_smart_table-%{version}-py%{python2_version}-nspkg.pth

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.txt
%{python3_sitelib}/xstatic/pkg/angular_smart_table
%{python3_sitelib}/XStatic_smart_table-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/XStatic_smart_table-%{version}-py%{python3_version}-nspkg.pth
%endif

%files -n xstatic-smart-table-common
%doc README.txt
%{_jsdir}/angular_smart_table

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.13.2-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.4.5.3-7
- Rebuild for Python 3.6

* Thu Oct 13 2016 Jan Beran <jberan@redhat.com> - 1.4.5.3-6
- Provides a Python 3 subpackage

* Fri Aug 19 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 1.4.5.3-5
- Fix assets detection

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5.3-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jan 10 2015 Matthias Runge <mrunge@redhat.com> - 1.4.5.3-1
- Initial package. (rhbz#1181050)

